#ifndef GetParameterDecimalPlaces_H
#define GetParameterDecimalPlaces_H

#include <Command.h>
namespace ProtoGenWrapper
{
	class DParameter;
}

namespace ProtoGenWrapper
{
	class GetParameterDecimalPlaces:
		public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		GetParameterDecimalPlaces(const DParameter& parameter);
		GetParameterDecimalPlaces(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);

		bool GetValues(DParameter& parameter) const;

		static int GetCommandType();
	};
}
#endif // GetParameterDecimalPlaces_H
